## kf6-kcolorscheme 6.13.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 David Redondo <kde@david-redondo.de>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.13.0") # handled by release scripts
set(KF_DEP_VERSION "6.13.0") # handled by release scripts
project(KColorScheme VERSION ${KF_VERSION})

include(FeatureSummary)
find_package(ECM 6.13.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(CMakeDependentOption)

set(REQUIRED_QT_VERSION 6.6.0)
find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(kcolorscheme_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcolorscheme_version.h")
ecm_setup_version(PROJECT VARIABLE_PREFIX KCOLORSCHEME
                        VERSION_HEADER "${kcolorscheme_version_header}"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6ColorSchemeConfigVersion.cmake"
                        SOVERSION 6)

find_package(KF6Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF6GuiAddons ${KF_DEP_VERSION} REQUIRED)
find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.12.0
)

add_definitions(-DTRANSLATION_DOMAIN=\"kcolorscheme6\")
ki18n_install(po)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ColorScheme")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6ColorScheme_QCH
        FILE KF6ColorSchemeQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ColorSchemeQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6ColorSchemeConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ColorSchemeConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ColorSchemeConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6ColorSchemeConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6ColorSchemeTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6ColorSchemeTargets.cmake NAMESPACE KF6::)

install(FILES
  ${kcolorscheme_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KColorScheme COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kcolorscheme 6.3.0

=== debian/changelog ===
kf6-kcolorscheme (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:55:10 +0200

kf6-kcolorscheme (6.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1068520)

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Apr 2024 00:35:56 +0200

=== debian/control ===
Source: kf6-kcolorscheme
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kcolorscheme
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
Rules-Requires-Root: no

Package: libkf6colorscheme-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Classes to read and interact with KColorScheme
 This package provides classes to read and interact with KColorScheme.
 .
 It is part of the KDE Frameworks 6.
 .
 This package contains the translations.

Package: libkf6colorscheme-dev
Section: libdevel
Architecture: any
Depends: libkf6colorscheme6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6colorscheme-doc (= ${source:Version}),
Description: Classes to read and interact with KColorScheme - development files
 This package provides classes to read and interact with KColorScheme.
 .
 It is part of the KDE Frameworks 6.
 .
 This package contains the development files for KColorScheme.

Package: libkf6colorscheme-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Classes to read and interact with KColorScheme - documentation
 This package provides classes to read and interact with KColorScheme.
 .
 It is part of the KDE Frameworks 6.
 .
 This package contains the documentation for KColorScheme.

Package: libkf6colorscheme6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libkf6colorscheme-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Classes to read and interact with KColorScheme
 This package provides classes to read and interact with KColorScheme.
 .
 It is part of the KDE Frameworks 6.

## kf6-kcolorscheme 6.6.0

=== debian/changelog ===
kf6-kcolorscheme (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.6.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:09:31 +0200

kf6-kcolorscheme (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:03 +0200

kf6-kcolorscheme (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:24 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),

## kf6-kcolorscheme 6.9.0

=== debian/changelog ===
kf6-kcolorscheme (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:45:00 +0000

kf6-kcolorscheme (6.8.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:57 -0600

kf6-kcolorscheme (6.8.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:57 -0600

kf6-kcolorscheme (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * Build depend on qt6-base-private-dev
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:34:32 +0000

kf6-kcolorscheme (6.6.0-0ubuntu2) oracular; urgency=medium

  * Fix last upload with updates lost in git my merge.
    - Refresh symbols.
    - Bring in libkf6guiaddons-doc for qch failure.
    - More symbol updates.

 -- Rik Mills <rikmills@kde.org>  Sat, 21 Sep 2024 17:19:25 +0100

kf6-kcolorscheme (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:04:31 +0100

kf6-kcolorscheme (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:21:33 +0100

kf6-kcolorscheme (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:32:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,19 +10,21 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6config-dev (>= 6.9.0~),
+               libkf6guiaddons-dev (>= 6.9.0~),
+               libkf6guiaddons-doc (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data

## kf6-kcolorscheme 6.10.0

=== debian/changelog ===
kf6-kcolorscheme (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:05 +0100

kf6-kcolorscheme (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:01:58 +0100

kf6-kcolorscheme (6.7.0-3) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Fix upstream project name in debian/copyright.
  * Add appstream as a test-only build dependency.
  * Build-time tests now require being run inside a dbus session.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Nov 2024 08:40:06 +0100

kf6-kcolorscheme (6.7.0-2) experimental; urgency=medium

  * Team upload.
  * Add missing build dependency on qt6-base-private-dev.
  * Disable flaky tests.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 23:05:02 -0600

kf6-kcolorscheme (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:23 -0600

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               appstream <!nocheck>,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6config-dev (>= 6.9.0~),
-               libkf6guiaddons-dev (>= 6.9.0~),
-               libkf6guiaddons-doc (>= 6.9.0~),
-               libkf6i18n-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkf6i18n-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.11.0

=== debian/changelog ===
kf6-kcolorscheme (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                cmake (>= 3.16~),
                dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,

## kf6-kcolorscheme 6.12.0

=== debian/changelog ===
kf6-kcolorscheme (6.12.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:49 -0500

kf6-kcolorscheme (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:50:14 +0000

kf6-kcolorscheme (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:46:08 +0000

kf6-kcolorscheme (6.10.0-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Feb 2025 14:50:49 -0600

kf6-kcolorscheme (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:17:34 +0000

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               appstream <!nocheck>,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkf6guiaddons-doc (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.13.0

=== debian/changelog ===
kf6-kcolorscheme (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:35:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               appstream <!nocheck>,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6guiaddons-dev (>= 6.12.0~),
-               libkf6guiaddons-doc (>= 6.12.0~),
-               libkf6i18n-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6guiaddons-dev (>= 6.13.0~),
+               libkf6i18n-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-base-private-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.16.0

=== debian/changelog ===
kf6-kcolorscheme (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:40:03 +0100

kf6-kcolorscheme (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:31:29 +0100

kf6-kcolorscheme (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               appstream <!nocheck>,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6guiaddons-dev (>= 6.13.0~),
-               libkf6i18n-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkf6guiaddons-doc (>= 6.16.0~),
+               libkf6i18n-dev (>= 6.16.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-base-private-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KColorScheme VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,12 +22,12 @@
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
-include(ECMAddQch)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
 include(CMakeDependentOption)
+include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
@@ -35,10 +35,6 @@
 endif()
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 
 set(kcolorscheme_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kcolorscheme_version.h")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCOLORSCHEME
@@ -51,8 +47,8 @@
 find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcolorscheme6\")
@@ -65,16 +61,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6ColorScheme")
-
-if(BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6ColorScheme_QCH
-        FILE KF6ColorSchemeQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6ColorSchemeQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
kf6-kcolorscheme (6.17.0-0ubuntu2) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:42:46 +0100

kf6-kcolorscheme (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:13:43 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,11 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6guiaddons-dev (>= 6.16.0~),
-               libkf6guiaddons-doc (>= 6.16.0~),
-               libkf6i18n-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6guiaddons-dev (>= 6.17.0~),
+               libkf6guiaddons-doc (>= 6.17.0~),
+               libkf6i18n-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),

## kf6-kcolorscheme 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KColorScheme VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -48,7 +48,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcolorscheme6\")

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 David Redondo <kde@david-redondo.de>
# SPDX-License-Identifier: BSD-2-Clause

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)

# remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMAddTests)

ecm_add_test(kcolorschemetest.cpp LINK_LIBRARIES Qt6::Test KF6::ColorScheme)

=== debian/changelog ===
kf6-kcolorscheme (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:16:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               appstream <!nocheck>,
+               cmake (>= 3.16~),
+               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6guiaddons-dev (>= 6.17.0~),
-               libkf6guiaddons-doc (>= 6.17.0~),
-               libkf6i18n-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6guiaddons-dev (>= 6.18.0~),
+               libkf6i18n-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-base-private-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kcolorscheme-([\d.]+)\.tar\.xz

## kf6-kcolorscheme 6.19.0

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 David Redondo <kde@david-redondo.de>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KF6ColorScheme)
add_library(KF6::ColorScheme ALIAS KF6ColorScheme)

set_target_properties(KF6ColorScheme PROPERTIES
    VERSION     ${KCOLORSCHEME_VERSION}
    SOVERSION   ${KCOLORSCHEME_SOVERSION}
    EXPORT_NAME ColorScheme
)

target_sources(KF6ColorScheme PRIVATE
  kcolorscheme.cpp
  kcolorschememanager.cpp
  kcolorschememodel.cpp
  kstatefulbrush.cpp
)

qt_add_resources(KF6ColorScheme "color_schemes"
    PREFIX "/org.kde.kcolorscheme"
    FILES
        color-schemes/BreezeDark.colors
        color-schemes/BreezeLight.colors
    OUTPUT_TARGETS _rcc_targets
)
install(TARGETS ${_rcc_targets} EXPORT KF6ColorSchemeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_declare_logging_category(KF6ColorScheme
    HEADER kcolorscheme_debug.h
    IDENTIFIER KCOLORSCHEME
    CATEGORY_NAME kf.colorscheme
    DESCRIPTION "KColorScheme"
    EXPORT KCOLORSCHEME
)

ecm_generate_export_header(KF6ColorScheme
    BASE_NAME KColorScheme
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.6 6.19
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6ColorScheme INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KColorScheme>")

target_link_libraries(KF6ColorScheme
  PUBLIC
    KF6::ConfigCore
    Qt6::Gui
  PRIVATE
    Qt6::GuiPrivate
    KF6::ConfigGui # ### this one is not directly used but has to be loaded in order for QColor I/O from KConfig to work!
    KF6::GuiAddons # KColorScheme uses KColorUtils
    KF6::I18n # For action and widget texts
)

ecm_generate_headers(KColorScheme_HEADERS
  HEADER_NAMES
  KColorScheme
  KColorSchemeManager
  KColorSchemeModel
  KStatefulBrush

  REQUIRED_HEADERS KColorScheme_HEADERS
)

install(TARGETS KF6ColorScheme EXPORT KF6ColorSchemeTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcolorscheme_export.h
  ${KColorScheme_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KColorScheme COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KCOLORSCHEME
    FILE kcolorscheme.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6ColorScheme kcolorscheme.qdocconf)

=== debian/changelog ===
kf6-kcolorscheme (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * New upstream release (6.19.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:04:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               appstream <!nocheck>,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6guiaddons-dev (>= 6.19.0~),
+               libkf6guiaddons-doc (>= 6.19.0~),
+               libkf6i18n-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-base-private-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.20.0

=== debian/changelog ===
kf6-kcolorscheme (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.
  * Add missing dependency to libkf6config-dev to libkf6colorscheme-dev.
  * Switch test dependency from dbus-x11 to dbus-daemon. (Closes:
    #1117070)
  * Update symbols from build for 6.20.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:24:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               appstream <!nocheck>,
+               cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.19.0~),
-               libkf6config-dev (>= 6.19.0~),
-               libkf6guiaddons-dev (>= 6.19.0~),
-               libkf6guiaddons-doc (>= 6.19.0~),
-               libkf6i18n-dev (>= 6.19.0~),
+               extra-cmake-modules (>= 6.20.0~),
+               libkf6config-dev (>= 6.20.0~),
+               libkf6guiaddons-dev (>= 6.20.0~),
+               libkf6i18n-dev (>= 6.20.0~),
+               libkf6config-dev,
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-base-private-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.8.0~),
+               qt6-base-private-dev (>= 6.8.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -42,7 +43,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.8.0~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test

## kf6-kcolorscheme 6.21.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
+set(KF_DEP_VERSION "6.21.0") # handled by release scripts
 project(KColorScheme VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.21.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -27,7 +27,7 @@
 include(CMakeDependentOption)
 include(ECMGenerateQDoc)
 
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
 
 if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
@@ -48,7 +48,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.19.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcolorscheme6\")

=== debian/changelog ===
kf6-kcolorscheme (6.21.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.21.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 12 Dec 2025 11:49:55 +0000

kf6-kcolorscheme (6.20.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.20.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Nov 2025 16:12:56 +0000

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: kf6-kcolorscheme
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               appstream <!nocheck>,
                cmake (>= 3.16~),
-               dbus-daemon <!nocheck>,
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.20.0~),
-               libkf6config-dev (>= 6.20.0~),
-               libkf6guiaddons-dev (>= 6.20.0~),
-               libkf6i18n-dev (>= 6.20.0~),
-               libkf6config-dev,
+               extra-cmake-modules (>= 6.21.0~),
+               libkf6config-dev (>= 6.21.0~),
+               libkf6guiaddons-dev (>= 6.21.0~),
+               libkf6guiaddons-doc (>= 6.21.0~),
+               libkf6i18n-dev (>= 6.21.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.8.0~),
-               qt6-base-private-dev (>= 6.8.0~),
-               qt6-tools-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-tools-dev (>= 6.8.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kcolorscheme
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kcolorscheme
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kcolorscheme
 Rules-Requires-Root: no
 
 Package: libkf6colorscheme-data
@@ -43,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6colorscheme6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.8.0~),
+         qt6-base-dev (>= 6.8.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6colorscheme-doc (= ${source:Version}),
 Description: Classes to read and interact with KColorScheme - development files

## kf6-kcolorscheme 6.22.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,12 +3,12 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.21.0") # handled by release scripts
-set(KF_DEP_VERSION "6.21.0") # handled by release scripts
+set(KF_VERSION "6.22.0") # handled by release scripts
+set(KF_DEP_VERSION "6.22.0") # handled by release scripts
 project(KColorScheme VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.21.0  NO_MODULE)
+find_package(ECM 6.22.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -47,8 +47,8 @@
 find_package(KF6I18n ${KF_DEP_VERSION} REQUIRED)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.10.0
-    KF 6.19.0
+    QT 6.11.0
+    KF 6.21.0
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kcolorscheme6\")

=== debian/changelog ===
kf6-kcolorscheme (6.22.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Jan 2026 18:28:56 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 6.21.0~),
-               libkf6config-dev (>= 6.21.0~),
-               libkf6guiaddons-dev (>= 6.21.0~),
-               libkf6guiaddons-doc (>= 6.21.0~),
-               libkf6i18n-dev (>= 6.21.0~),
+               extra-cmake-modules (>= 6.22.0~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6guiaddons-dev (>= 6.22.0~),
+               libkf6guiaddons-doc (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.8.0+dfsg~),
                qt6-base-private-dev (>= 6.8.0+dfsg~),
